{ config, ... }:
{
  sops.secrets.rsync_private_key = { };

  rbackup.plans = {
    nextcloud = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/var/lib/nextcloud/";
      dst = "/mirror/nextcloud";
    };
    taskwarrior = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/var/lib/taskserver/";
      dst = "/mirror/taskwarrior";
    };
    gitea = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/var/lib/gitea/";
      dst = "/mirror/gitea";
    };
    bitwarden = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/var/lib/bitwarden_rs/";
      dst = "/mirror/bitwarden_rs";
    };
    torrent = {
      sshKeyPath = config.sops.secrets.rsync_private_key.path;
      src = "root@robi:/media/torrent/downloads/";
      dst = "/robi/torrent";
      startAt = "00/5:00"; # every 2 hours
    };
  };


}
